'use client'

import { useState } from 'react'
import { getName } from 'libs/filename'
import styles from '../site/site.module.css'

export default function GeneralButton({ text }: { text: string }) {
  function handleClick() {
    alert('You rocks!')
    console.log(getName())
  }
  return (
    <button onClick={handleClick} className={styles['general-button']}>{text}</button>
  )
}